Mail archive
alpine-aports

[alpine-aports] [PATCH 2/2] testing/php5-couchbase renamed from php-couchbase

From: Nathan Johnson <nathan_at_nathanjohnson.info>
Date: Tue, 7 Jun 2016 10:47:46 -0500

Also moving config from /etc/php/conf.d to /etc/php5/conf.d
---
 testing/php-couchbase/APKBUILD  | 37 -------------------------------------
 testing/php5-couchbase/APKBUILD | 39 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 39 insertions(+), 37 deletions(-)
 delete mode 100644 testing/php-couchbase/APKBUILD
 create mode 100644 testing/php5-couchbase/APKBUILD
diff --git a/testing/php-couchbase/APKBUILD b/testing/php-couchbase/APKBUILD
deleted file mode 100644
index cd89717..0000000
--- a/testing/php-couchbase/APKBUILD
+++ /dev/null
_at_@ -1,37 +0,0 @@
-# Contributor: Nathan Johnson <nathan_at_nathanjohnson.info>
-# Maintainer: Nathan Johnson <nathan_at_nathanjohnson.info>
-pkgname=php-couchbase
-_pkgreal=couchbase
-pkgver=2.1.0
-pkgrel=0
-pkgdesc="PHP extension couchbase"
-url="http://pecl.php.net/package/$_pkgreal"
-arch="all"
-license="ASL 2.0"
-depends=
-pecldepends="php-dev autoconf"
-makedepends="$pecldepends libcouchbase-dev zlib-dev"
-install=""
-subpackages=""
-source="http://pecl.php.net/get/$_pkgreal-$pkgver.tgz"
-
-_builddir="$srcdir"/$_pkgreal-$pkgver
-
-build() {
-	cd "$_builddir"
-	phpize || return 1
-	./configure --prefix=/usr || return 1
-	make || return 1
-	make test || return 1
-}
-
-package() {
-	cd "$_builddir"
-	make INSTALL_ROOT="$pkgdir"/ install || return 1
-	install -d "$pkgdir"/etc/php/conf.d || return 1
-	echo "extension=$_pkgreal.so" > "$pkgdir"/etc/php/conf.d/$_pkgreal.ini
-}
-
-md5sums="1ee53916bd2e1247882be0ccaf440857  couchbase-2.1.0.tgz"
-sha256sums="30eda3f5afd0d9f4c77b12650163c3490de111e57ad6b20092c95e44e3d60a8d  couchbase-2.1.0.tgz"
-sha512sums="39dabf34d03dc476c0092d05355fc7446506d40a06e8d1b999b54dfe3181200b8bd039e2087456deb7263f7cec9dc93f6541a33510fac5b586e24fe68973dc36  couchbase-2.1.0.tgz"
diff --git a/testing/php5-couchbase/APKBUILD b/testing/php5-couchbase/APKBUILD
new file mode 100644
index 0000000..f0b4952
--- /dev/null
+++ b/testing/php5-couchbase/APKBUILD
_at_@ -0,0 +1,39 @@
+# Contributor: Nathan Johnson <nathan_at_nathanjohnson.info>
+# Maintainer: Nathan Johnson <nathan_at_nathanjohnson.info>
+pkgname=php5-couchbase
+_pkgreal=couchbase
+replaces=php-couchbase
+replaces_priority=1
+pkgver=2.1.0
+pkgrel=0
+pkgdesc="PHP extension couchbase"
+url="http://pecl.php.net/package/$_pkgreal"
+arch="all"
+license="ASL 2.0"
+depends=
+pecldepends="php5-dev autoconf"
+makedepends="$pecldepends libcouchbase-dev zlib-dev"
+install=""
+subpackages=""
+source="http://pecl.php.net/get/$_pkgreal-$pkgver.tgz"
+
+_builddir="$srcdir"/$_pkgreal-$pkgver
+
+build() {
+	cd "$_builddir"
+	phpize || return 1
+	./configure --prefix=/usr || return 1
+	make || return 1
+	make test || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make INSTALL_ROOT="$pkgdir"/ install || return 1
+	install -d "$pkgdir"/etc/php5/conf.d || return 1
+	echo "extension=$_pkgreal.so" > "$pkgdir"/etc/php5/conf.d/$_pkgreal.ini
+}
+
+md5sums="1ee53916bd2e1247882be0ccaf440857  couchbase-2.1.0.tgz"
+sha256sums="30eda3f5afd0d9f4c77b12650163c3490de111e57ad6b20092c95e44e3d60a8d  couchbase-2.1.0.tgz"
+sha512sums="39dabf34d03dc476c0092d05355fc7446506d40a06e8d1b999b54dfe3181200b8bd039e2087456deb7263f7cec9dc93f6541a33510fac5b586e24fe68973dc36  couchbase-2.1.0.tgz"
-- 
2.8.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue Jun 07 2016 - 10:47:46 GMT